---
title: Lucas Escot
description: Professional page of Lucas Escot
---

## Lucas Escot {#me}

As of 2023, I am a PhD student at [TU Delft], in the [Programming Languages
Group][PL], under the supervision of Jesper Cockx. My work revolves around
generic programming in dependently-typed languages --- namely, [Agda].
Lately, I've also been spending time on incremental, parallel embedded build
systems.

[TU Delft]: https//tudelft.nl
[PL]: https://pl.ewi.tudelft.nl/
[Agda]: https://github.com/agda/agda

## Contact/Links {#contact}

-------- ------------------------------------------------------------------------------------------------
Mail     [lucas@escot.me](mailto:lucas@escot.me), [l.f.b.escot@tudelft.nl](mailto:l.f.b.escot@tudelft.nl)
Mastodon [@baboum@mastodon.social](https://mastodon.social/@baboum)
GPG      [lescot.gpg](/static/lescot.gpg)
GH       [flupe](https://github.com/flupe)
SRHT     [flupe](https://sr.ht/~flupe)
-------- ------------------------------------------------------------------------------------------------

## Log {#log}

- Attended [AIMXXXI] in Edinburgh, Scotland.
- Attended [ICFP'22] in Ljubjana, Slovenia.
- Attended [OPLSS'22] in Eugene, Oregon.

[AIMXXXI]: https://wiki.portal.chalmers.se/agda/Main/AIMXXXI
[ICFP'22]: https://icfp22.sigplan.org/
[OPLSS'22]: https://www.cs.uoregon.edu/research/summerschool/summer22/

## Miscellaneous {#misc}

On my spare time, I do a fair bit of drawing. Some of it may be found over at
[acatalepsie.fr], where I also keep my rarely-updated blog. Along with
a group of friends, we are behind the [sbi.re] network, under which we self-host
a bunch of services.

[acatalepsie.fr]: https://acatalepsie.fr
[sbi.re]: https://sbi.re

## Publications
